Bug 130749 - CAN-2004-0748 Apache child infinite loop
CAN-2004-0748 Apache child infinite loop
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: httpd (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-24 05:42 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 2.0.46-38.ent
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-06 10:22:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-08-24 05:42:03 EDT
Apache bug 29964 is "A remote attacker who forces an SSL connection to
be aborted in a particular state may cause an Apache child process to
enter an infinite loop, consuming CPU resources."  Fixed upstream
Aug11.  This doesn't affect mod_ssl with Apache 1.3

RHSA-2004:349 in progress, will be part of RHEL3 Update 3.
Comment 1 Joe Orton 2004-09-06 10:22:36 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-349.html

Note You need to log in before you can comment on or make changes to this bug.